:root {
    --rt-video-card-width: 135px;
    --rt-video-card-h-height: 85px;
    --rt-video-card-h-thumbnail-width: 128px;
    --rt-video-card-duration-bg: rgba(0, 0, 0, 0.6);
    --rt-video-card-border: var(--rt-ui-border);
}

.video-card {
    display: flex;
    flex-direction: column;
    width: var(--rt-video-card-width);
}

.video-card--responsive {
    width: 100%;
}

.video-card__content {
    margin-top: 1px;
    font-size: 12px;
}

.video-card__thumbnail {
    position: relative;
}

.video-card--h {
    flex-direction: row;
    width: 100%;
    height: var(--rt-video-card-h-height);
    gap: 10px;
}

.video-card__details--h {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.video-card--h .video-card__thumbnail {
    width: var(--rt-video-card-h-thumbnail-width);
}

.video-card__duration {
    position: absolute;
    bottom: 3px;
    right: 3px;
    background: var(--rt-video-card-duration-bg);
    color: var(--rt-text-inverse);
    padding: 1px 3px;
    font-size: 11px;
}

.video-card__title {
    display: block;
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 1.2;
    margin: 0 0 2px;
    overflow: hidden;
    word-break: break-word;
    text-overflow: ellipsis;
}